
QGIS Application - Bug report #17184

QGIS under macOS is very crashy when loading zipped shapefiles

2017-09-22 11:56 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:2.18.9 Regression?: No

Operating System: macOS Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 25083

Description

Try load a zipped shapefile (from "add vector layer") in QGIS under macOS and while it won't happen all the time is very frequent to have

crash. Sometime you have to load the same zip twice (or load a different one).

Associated revisions

Revision cee7baeb - 2017-10-06 06:20 PM - Larry Shaffer 

Crash when multiple .zips are loaded via qgisapp function (fix #17184)

Note: not just QObject::deleteLater(); see QgsDataItem::deleteLater()

History

#1 - 2017-09-22 11:56 AM - Giovanni Manghi

- File albu.zip added

The application used to compress the data does not seems to be a factor.

#2 - 2017-10-06 05:17 AM - Larry Shaffer

Issue replicated and fixed for me here on macOS 10.11.6:

https://github.com/qgis/QGIS/pull/5307

#3 - 2017-10-06 08:40 AM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

#4 - 2017-10-06 08:40 AM - Giovanni Manghi

Thanks Larry!

#5 - 2017-10-06 06:20 PM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed
https://github.com/qgis/QGIS/pull/5307


Applied in changeset commit:qgis|cee7baeb483d423d037bc347a06383995f8fdf70.

Files

albu.zip 178 KB 2017-09-22 Giovanni Manghi
